6.0.0-git
2019-09-20

[#14949] PHP(7.3) Warning: "continue" targeting switch is equivalent to "break"
Summary PHP(7.3) Warning: "continue" targeting switch is equivalent to "break"
Queue Ingo
Queue Version 3.2.16
Type Bug
State Resolved
Priority 1. Low
Owners
Requester mmarx (at) netdmon (dot) de
Created 2019-09-01 (19 days ago)
Due
Updated 2019-09-14 (6 days ago)
Assigned
Resolved 2019-09-14 (6 days ago)
Milestone
Patch No

History
2019-09-14 17:07:41 Michael Rubinsky State ⇒ Resolved
 
2019-09-14 17:07:06 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit ad2457989c0d6737621d5ec89678d36e6c4e2538
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 13:06:56 -0400

Bug: 14949 continue -> break

  M lib/Script/Imap.php

https://github.com/horde/ingo/commit/ad2457989c0d6737621d5ec89678d36e6c4e2538
2019-09-14 16:55:43 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 69249735e20075499812373a1b3b4f288dedefe4
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:55:36 -0400

Bug: 14949 continue -> break

  M lib/Script/Imap.php

https://github.com/horde/ingo/commit/69249735e20075499812373a1b3b4f288dedefe4
2019-09-02 19:08:42 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #2 Reply to this comment
2019-09-01 18:13:30 mmarx (at) netdmon (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ PHP(7.3) Warning: "continue" targeting switch is equivalent to "break"
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
The horde-alarms cron script reports the following errors after 
upgrading to php 7.3

PHP Warning:  "continue" targeting switch is equivalent to "break". 
Did you mean to use "continue 2"? in 
/usr/share/horde/ingo/lib/Script/Imap.php on line 138
PHP Warning:  "continue" targeting switch is equivalent to "break". 
Did you mean to use "continue 2"? in 
/usr/share/horde/ingo/lib/Script/Imap.php on line 156
PHP Warning:  "continue" targeting switch is equivalent to "break". 
Did you mean to use "continue 2"? in 
/usr/share/horde/ingo/lib/Script/Imap.php on line 268
PHP Warning:  "continue" targeting switch is equivalent to "break". 
Did you mean to use "continue 2"? in 
/usr/share/horde/ingo/lib/Script/Imap.php on line 296
PHP Warning:  "continue" targeting switch is equivalent to "break". 
Did you mean to use "continue 2"? in 
/usr/share/horde/ingo/lib/Script/Imap.php on line 324

$ php --version
PHP 7.3.9 (cli) (built: Aug 27 2019 22:52:39) ( NTS )

$ pear list -c pear.horde.org | grep ingo
ingo                         3.2.16  stable


Saved Queries